%define upstream_name    Config-Auto
%define upstream_version 0.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Magical config file parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::String)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(YAML) >= 0.670.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module was written after having to write Yet Another Config File
Parser for some variety of colon-separated config. I decided "never again".

Config::Auto aims to be the most 'DWIM' config parser available, by
detecting configuration styles, include paths and even config filenames
automagically.

See the the HOW IT WORKS manpage section below on implementation details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.440.0-8.mga8
+ Revision: 1493566
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.440.0-7.mga7
+ Revision: 1266583
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.440.0-6.mga6
+ Revision: 1024283
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.440.0-5.mga6
+ Revision: 940960
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-4.mga5
+ Revision: 748666
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.440.0-3.mga5
+ Revision: 732953
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-2.mga5
+ Revision: 683973
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 jquelin <jquelin> 0.440.0-1.mga5
+ Revision: 598673
- update to 0.44

* Fri Oct 18 2013 umeabot <umeabot> 0.420.0-3.mga4
+ Revision: 510196
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.420.0-2.mga3
+ Revision: 364598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 212726
- update to 0.42
- update to 0.38

* Fri Jul 08 2011 jquelin <jquelin> 0.360.0-1.mga2
+ Revision: 120351
- update to 0.36

* Wed Mar 09 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 66927
- update to 0.34

* Fri Feb 25 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 59630
- update to 0.32

* Wed Jan 26 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 40708
- imported package perl-Config-Auto


* Wed Jan 26 2011 cpan2dist 0.30-1mdv
- initial mdv release, generated with cpan2dist
